Last Comment Bug 4681 - [I18N][ENDER] Chinese pages not displayed properly
: [I18N][ENDER] Chinese pages not displayed properly
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: P2 major with 1 vote (vote)
: M11
Assigned To: buster
: Teruko Kobayashi
: Makoto Kato [:m_kato]
Mentors:
http://warp/employees/erik/tests/form...
Depends on:
Blocks: 7228
  Show dependency treegraph
 
Reported: 1999-04-07 14:02 PDT by Teruko Kobayashi
Modified: 1999-09-24 14:42 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Teruko Kobayashi 1999-04-07 14:02:54 PDT
Tested 4-07-11-99 Win32 and Mac build.

After you visit the above page and hit the reload button, the chinese character is displayed fine but
the rest of the page are displayed as squares.
Comment 1 Teruko Kobayashi 1999-04-07 14:09:59 PDT
Same thing happens in http://warp/employees/erik/tests/forms/nbsp/all-charsets/gb2312.cgi page.
Comment 2 Frank Tang 1999-04-07 14:40:59 PDT
*** This bug has been marked as a duplicate of 4674 ***
Comment 3 Teruko Kobayashi 1999-04-08 14:23:59 PDT
I tested this page in 4-8-10 Win32 and Mac build.  Chinese characters are displayed fine in MAC build.
In Win32 build, the last of 4 Chinese characters is not displayed correctly. I will reopen this and changed the
platform to PC.
Comment 4 Teruko Kobayashi 1999-04-08 14:24:59 PDT
I reassing this bug to Erik.
Comment 5 Frank Tang 1999-04-08 14:45:59 PDT
some Chinese glyph is missing. i think this is because the font we used to
render CJK Ideographs does not contains all the CJK ideographs glyph. change the
target to M5 and clear the duplicate
Comment 6 bobj 1999-04-13 14:27:59 PDT
I tried this on US-NT4 running 4/13 build.
The forms widgets do not display Chinese, but the non-form text next to the check box and radio
buttons render correctly.  Looks like a forms widget problem.
Comment 7 bobj 1999-04-13 14:29:59 PDT
I tried this on US-NT4 running 4/13 build.
The forms widgets do not display Chinese, but the non-form text next to the check box and radio
buttons render correctly.  Looks like a forms widget problem.
Comment 8 bobj 1999-04-13 14:52:59 PDT
Dup of http://bugzilla.mozilla.org/show_bug.cgi?id=3962?
Comment 9 Erik van der Poel 1999-04-16 18:39:59 PDT
Chris, I think the problem here might be that we are using the native widgets
(from the OS) for HTML forms. Are there any plans to switch to GFX-based
widgets for forms? Our GFX can handle Unicode, but native widgets often cannot.
Comment 10 bobj 1999-04-16 18:53:59 PDT
Teruko,  Does this happen with any non-Latin1 pages?  If so, please change
the summary.
Comment 11 bobj 1999-04-16 18:56:59 PDT
Teruko, Are the non-Latin1 display in form widgets problem only on Windows?
Comment 12 karnaze (gone) 1999-04-19 11:49:59 PDT
Moving to M6 and reassigning to Pierre who is taking over gfx form controls
execept buttons (owned by Eric Vaughan). GFX form controls can be toggled in
viewer and apprunner. They are not bug free. Text fields and text areas will not
be gfx based until Ender is hooked up.
Comment 13 Pierre Saslawsky 1999-04-19 14:58:59 PDT
i18n issue: reassigned to ftang
Comment 14 Pierre Saslawsky 1999-04-19 18:39:59 PDT
Franck, could you check whether this happens with the GFX form controls?
If only the native controls show the problem, we can close the bug as Invalid or
WontFix, unless you know how to display Chinese characters inside native Mac
controls. Thanks!
Comment 15 Frank Tang 1999-04-20 12:12:59 PDT
I think the first thing we need to know is do we plan to switch OFF the native
widgets to GFX based and when ?
1. <INPUT type=button> -> Swtich to GFX base? When (M?)
2. single <SELECT> / <OPTION> ->  Swtich to GFX base? When (M?)
3. multipel <SELECT> / <OPTION> ->  Swtich to GFX base? When (M?)
4. <INPUT type=text> ->  Swtich to ENDER? When (M?)
5. <TEXTAREA> ->  Swtich to ENDER? When (M?)
6. <INPUT type=file> ->  Swtich to GFX base? When (M?)
7. <INPUT type=readonly> ->  Swtich to GFX base? When (M?)
6. <INPUT type=reset> ->  Swtich to GFX base? When (M?)
7. <INPUT type=submit> ->  Swtich to GFX base? When (M?)

If you plan to switch all of them to the GFX based control, then the bug will be
fixed the date you switch to the GFX/ENDER one. Otherwise, you should find a way
to render Unicode in those widget. (for example, draw the button by yourself.
Write a MDEF/LDEF as I did in 3.0). Yes, it is a lot of work, that is why
I suggest (to rods) we switch to the GFX based control last Oct.

reassign this back to pierre since pierre hold the decision of switching to GFX
based control
Comment 16 Pierre Saslawsky 1999-04-20 13:48:59 PDT
Per discussion with ftang, I confirm that native widgets will not support asian
character sets. There is no defined date yet as to when we will switch to gfx
widgets. Please note that it's a global switch: we can't have some form controls
displayed as native widgets and other ones as gfx widgets.

Gfx widgets can be tested (for what it's worth in their current form) with
Viewer:
- launch Viewer
- under the Debug menu, select "GFX Widgets Mode"
- quit the app
- launch the app again
Comment 17 Pierre Saslawsky 1999-06-06 11:18:59 PDT
Moving to M15 all the bugs that have a dependancy on GFX widgets and/or Ender.
Comment 18 bobj 1999-06-11 01:10:59 PDT
I tried this with 1999-06-08-08-M7 on Win95.
I enabled GFX forms widgets (except for text and textarea) by setting the pref:
      user_pref("nglayout.widget.mode", 2);

Except for the text and textareas, all other widgets seem to display Chinese
correctly:
   input types: button, checkbox, radio, reset, submit
   select
Comment 19 bobj 1999-08-18 04:41:59 PDT
Should this be moved back to M10, since buster plans to change the text widgets
to default to GFX in early M10?
Comment 20 Pierre Saslawsky 1999-08-30 15:50:59 PDT
Reassigned to buster who owns gfx text widgets (the other widgets work fine).
Comment 21 buster 1999-08-30 16:23:59 PDT
set to M10.  When gfx text controls are turned on, this will be fixed.  somebody
in I18N could test this by manually turning gfx text controls if they wanted to.
Comment 22 buster 1999-08-31 16:19:59 PDT
moved to M11
Comment 23 Teruko Kobayashi 1999-09-10 13:57:59 PDT
I tested this in 9-10 Win32, Mac, and Linux builds.  This page is displayed correctly in Win32 and Linux build without turning
on the GFX wiget in pref.js.
Comment 24 buster 1999-09-12 17:26:59 PDT
fixed for gfx text controls.
Comment 25 Teruko Kobayashi 1999-09-24 14:42:59 PDT
I verified this in 9-24-08 Mac build.

Note You need to log in before you can comment on or make changes to this bug.